import React, { Component } from 'react';
import PropTypes from 'prop-types';
import PowerBIEmbed from 'react-native-powerbi';

export default class PowerBI extends Component {
    static defaultProps = {
        embedUrl: '',
        accessToken: '',
        id: '',
        config: {}
    };

    static propTypes = {
        embedUrl: PropTypes.string.isRequired,
        accessToken: PropTypes.string.isRequired,
        id: PropTypes.string.isRequired,
        config: PropTypes.shape({
            type: PropTypes.string,
            tokenType: PropTypes.string,
            accessToken: PropTypes.string,
            embedUrl: PropTypes.string,
            id: PropTypes.string,
            settings: PropTypes.shape({
                filterPaneEnabled: PropTypes.bool,
                navContentPaneEnabled: PropTypes.bool,
                layoutType: PropTypes.number
            })
        })
    };

    render() {
        const { embedUrl, accessToken, id, config } = this.props;

        if(Object.entries(config).length === 0 && config.constructor === Object){
            return <PowerBIEmbed accessToken={accessToken} embedUrl={embedUrl} id={id} />;
        }
        else {
            return <PowerBIEmbed embedConfiguration={config} />;
        }
        
    }
}
